Subject: [PATCH] iommu/arm-smmu: add a shortcut when the @dev_node is NULL

From: [email-masked] (Joerg Roedel)
Date: Wed, 20 Jan 2016 13:02:25 +0100

On Tue, Jan 12, 2016 at 10:15:05AM +0800, Huang Shijie wrote:
> This patch adds a shortcut for the code when the @device_node is NULL.
> In my juno-r1 board, the boot time can be faster by 0.004014s.

How have you made sure this number is reliable and not just noise in the
boot process?

	Joerg